
/**
 *  Copyright (c) 2015, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant
 *  of patent rights can be found in the PATENTS file in the same directory.
 */

'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _rulesInterfacePossibleTypesMustImplementTheInterface = require('./rules/InterfacePossibleTypesMustImplementTheInterface');

var _rulesInterfacePossibleTypesMustImplementTheInterface2 = _interopRequireDefault(_rulesInterfacePossibleTypesMustImplementTheInterface);

var _rulesNoInputTypesAsOutputFields = require('./rules/NoInputTypesAsOutputFields');

var _rulesNoInputTypesAsOutputFields2 = _interopRequireDefault(_rulesNoInputTypesAsOutputFields);

var _rulesNoOutputTypesAsInputArgs = require('./rules/NoOutputTypesAsInputArgs');

var _rulesNoOutputTypesAsInputArgs2 = _interopRequireDefault(_rulesNoOutputTypesAsInputArgs);

var _rulesTypesInterfacesMustShowThemAsPossible = require('./rules/TypesInterfacesMustShowThemAsPossible');

var _rulesTypesInterfacesMustShowThemAsPossible2 = _interopRequireDefault(_rulesTypesInterfacesMustShowThemAsPossible);

var allRules = [_rulesInterfacePossibleTypesMustImplementTheInterface2['default'], _rulesNoInputTypesAsOutputFields2['default'], _rulesNoOutputTypesAsInputArgs2['default'], _rulesTypesInterfacesMustShowThemAsPossible2['default']];
exports.allRules = allRules;